In nhanh nhiều bản vẽ trong model

Like và chia sẻ bài viết
In nhanh nhiều bản vẽ trong model
Các bước thực hiện:
- Vẽ 1 pline nối các điểm góc của các bản vẽ lại với nhau (để defpoints layer).
- Tạo 1 layout mới. Vẽ 1 khung rectang bằng với khung bản vẽ trong model.
- Tạo 1 mview, zoom khung bản vẽ đầu tiên đúng với khung trong layout.
- Setup page cho bản vẽ
- Load lisp bản vẽ bằng lênh ap. (Link download lisp tại đây: http://www.mediafire.com/download/6tic88pdx2e99ip/INM.lsp)
- Xuất bản bản vẽ bằng  lệnh INM.
Video hướng dẫn


Code list INM đầy đủ như dưới đây:


--------------------------------------------------------------------------------------------------
(defun c:INM()
(vl-load-com)
(command "MSPACE" "")
(setq en (entsel "\n ThS.Doan Ngoc Tu- Ban can chon pline"))
(if en
  (progn
    (setq ob (vlax-ename->vla-object (car en))
            n (vlax-curve-getEndParam ob)
            i 0
    )
            (while (<= i  n) 
                        (progn
                        (setq p (vlax-curve-getPointAtParam ob i)
                    p0 (vlax-curve-getPointAtParam ob (- i 1))
                        )
                        (command "PSPACE" "")
                        (command "MSPACE" "")
                                    (command "pan" p p0 )
                        (command "_plot" "" "" "" "" "" "" "")
                        (command "PSPACE" "")
                        (command "MSPACE" "")
                        (setq i (1+ i))
            )
         
            )
    (command "PSPACE" "")
   )
)
(princ)
)
--------------------------------------------------------------------------------------------------
Đoàn Ngọc Tứ
List có tham khảo và chỉnh sửa cho phù hợp từ cadviet.com
Viết và chia sẻ bình luận: Like để cập nhật các bài viết qua facebook. Cảm ơn bạn đã ghé thăm, ủng hộ!

About Tứ Đoàn Ngọc

Đoàn Ngọc Tứ chào mừng bạn tới với website và cảm ơn bạn đã ủng hộ trang này.